Subject: Re: [PATCH v4 6/6] builtin: patch-id: remove unused diff-tree prefix

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Oct 2022 02:33:16 -0700

"Jerry Zhang via GitGitGadget" <[email-masked]> writes:

> From: Jerry Zhang <[email-masked]>
>
> From a "git grep" of the repo, no command, including diff-tree itself,
> produces diff output with "diff-tree " prefixed in the header.
>
> Thus remove its handling in "patch-id".

There is a bit of leap in the logic flow here, in that the current
state alone does not justify such a removal of the code that is not
hurting anybody.  I thought I did the necessary homework the last
time to help you update the proposed log message for this step with
necessary due diligence, like when we stopped producing it
ourselves.  The lack of third-party tools still relying on the code
we are removing here is not something we can prove easily, so
documenting that we go by faith there would not hurt, either.